#!/bin/bash -x

# Copyright 2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: MIT-0
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of this
# software and associated documentation files (the "Software"), to deal in the Software
# without restriction, including without limitation the rights to use, copy, modify,
# merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# Synchronizes DAGS from Amazon S3 to EFS
#
BOOTSTRAP_BUCKET=$1
REGION=$2
DAGS_FOLDER=$3
LIBS_FOLDER=$4
PLUGINS_FOLDER=$5

REGION=$(curl -s http://instance-data/latest/meta-data/placement/availability-zone/|sed 's/.$//')

/usr/bin/aws s3 sync s3://${BOOTSTRAP_BUCKET}/airflow/dags ${DAGS_FOLDER} --exact-timestamps --delete --region $REGION
/usr/bin/aws s3 sync s3://${BOOTSTRAP_BUCKET}/airflow/libs ${LIBS_FOLDER} --delete --region $REGION
/usr/bin/aws s3 sync s3://${BOOTSTRAP_BUCKET}/airflow/plugins ${PLUGINS_FOLDER} --delete --region $REGION
